Hands In Docs
APIV1

List all items

GET
/items

Retrieve a list of items by supplying the correct parameters.

Authorization

AuthorizationBearer <token>

Merchant JWT bearer token

In: header

Scope: items.read

Query Parameters

startKey?string

A unique identifier for the item object.

from?string
orderType?string

The order in which objects are returned by

orderBy?string
pageSize?integer

The maximum number of objects that can be returned

Response Body

application/json

application/json

curl -X GET "https://example.com/items"
[
  {
    "metaData": {
      "property1": "string",
      "property2": "string"
    },
    "referenceId": "string",
    "description": "string",
    "imageUrls": [
      "https://www.randomurl.com"
    ],
    "attributes": {
      "size": "xs",
      "color": "blue"
    },
    "sku": "string",
    "amountMoney": {
      "amount": 100,
      "currency": "AED"
    },
    "name": "string",
    "id": "string"
  }
]
{
  "http_status_code": 100,
  "moreInfo": "https://www.randomurl.com",
  "name": "string",
  "detail": "string",
  "instance": "/pets/dogs/123",
  "property1": null,
  "property2": null
}